@charset "UTF-8";

/*
  Template: swell
  Theme Name: SWELL CHILD
  Theme URI: https://swell-theme.com/
  Description: SWELLの子テーマ
  Version: 1.0.0
  Author: LOOS WEB STUDIO
  Author URI: https://loos-web-studio.com/
  License: GNU General Public License
  License URI: http://www.gnu.org/licenses/gpl.html
*/

/* general */
h1,
h2,
h3,
h4,
h5,
h6 {
  letter-spacing: 0.1em;
}

a:hover {
  opacity: 0.8;
}

iframe {
  aspect-ratio: 16/9;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

address {
  font-style: normal;
}

.br-10 {
  border-radius: 10px !important;
}

/* block customize */
.wp-block-group.is-style-bg_grid,
.cap_box_content {
  border-radius: 16px !important;
}

.cap_box_ttl {
  border-radius: 6px !important;
}

.swell-block-accordion__item {
  border-radius: 10px;
  overflow: hidden;
  border: 1px solid var(--color_main);
}

.swell-block-accordion__body {
  border: none !important;
}

/* header,menu */
.l-header .l-header__inner {
  color: #333;
}

.l-fixHeader__logo {
  padding: 10px 0;

  &::after {
    content: "広島市安佐北区にあるお寺 | 教雲寺";
    font-size: 12px;
  }
}

.l-header__customBtn.sp_ {
  display: none;
}

.menu-item a {
  border-bottom: none;
  border-top: 1px solid hsla(0, 0%, 78%, .5);
}

.sub-menu a {
  border: none;
  padding-top: 5px;
  padding-bottom: 5px;

  &:last-child {
    padding-bottom: 12px;
  }
}

footer .menu-item.menu-item-has-children>a {
  font-weight: bold;
  pointer-events: none;
  padding-left: 0;
  padding-bottom: 10px;

  &::before {
    display: none;
  }
}



@media not all and (min-width: 960px) {

  .l-header__logo {
    display: flex;
    align-items: center;

    &::after {
      content: "広島市安佐北区にあるお寺 | 教雲寺";
      font-size: 12px;
    }

  }

  header .menu-item.menu-item-has-children>a {
    font-weight: bold;
    pointer-events: none;
    padding-left: 0;
    padding-bottom: 10px;

    &::before {
      display: none;
    }
  }

  .c-fixBtn {
    width: 40px;
    height: 40px;
  }

  .w-footer__box:last-child {
    margin-top: 0;
    padding-top: 0;
  }
}

/* top */
.gobutsuen-item img {
  border: 10px solid rgba(255, 255, 255, 0.5);
}

.sec-news {
  position: relative;
}

.sec-news::after {
  content: "";
  position: absolute;
  bottom: -18px;
  left: 5%;
  aspect-ratio: 3/1;
  max-width: 90%;
  width: 400px;
  background: url("./img/item02.png") no-repeat center / contain;
  z-index: 1;
}

.news-box {
  position: relative;
  border-radius: 10px;
}

.news-box::before {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  width: 160px;
  aspect-ratio: 1/1;
  background: url("./img/item01.png") no-repeat center / contain;
  z-index: 1;
  transform: rotate(40deg) translate(-17%, -37%);
}

.butsuen-box01 {
  position: relative;

  &::before {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    width: 100px;
    aspect-ratio: 1/1;
    background: url("./img/item03.png") no-repeat center / contain;
    transform: translate(-10%, -40%);
  }
}

.butsuen-box02 {
  position: relative;

  &::before {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    width: 180px;
    aspect-ratio: 1/1;
    background: url("./img/item05.png") no-repeat center / contain;
    transform: translate(10%, -45%) scale(-1, 1) rotate(-15deg);
  }
}

.butsuen-box03 {
  position: relative;

  &::before {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    width: 100px;
    aspect-ratio: 1/1;
    background: url("./img/item04.png") no-repeat center / contain;
    transform: translate(-10%, -40%) scale(-1, 1);
  }
}

@media screen and (max-width: 768px) {
  .gobutsuen-item:nth-child(odd) {
    flex-direction: column-reverse;
  }
}

.about-grid {
  column-gap: 30px;
}

a.c-bannerLink:hover {
  transition: 0.2s ease;
  transform: translateY(-5px);

  .c-bannerLink__figure {
    opacity: 1;
    overflow: visible;
  }

  .c-bannerLink__img {
    transform: none;
  }
}

/* media */
#media_image-6 {
  max-width: 200px;
}

#custom_html-4 p {
  font-weight: bold;
  margin-bottom: 8px;
}

.post_content iframe {
  display: block;
  border-radius: 10px;
  /* background: #4a7e81; */
}

iframe.custom-map {
  max-width: 868px;
  aspect-ratio: 16/9 !important;
  margin-left: auto;
  margin-right: auto;
}

.post_content .wp-block-embed {
  max-width: 868px;
  margin-left: auto;
  margin-right: auto;
}

.wp-block-buttons {
  column-gap: 20px;
  row-gap: 12px;
}

.wp-block-button__link {
  min-width: 250px;
  transition: .2s;

  &:hover {
    filter: brightness(.9);
  }
}

.l-content {
  margin-bottom: 0;
}


.l-topTitleArea__body .c-pageTitle {
  text-align: center;
  font-size: 2rem;
}

.c-pageTitle__subTitle {
  display: none;
}

.-type-card .p-postList__item {
  margin-bottom: 2em;
}

/* page header */
.l-topTitleArea {
  height: 50vh;
  background: #fffce2;
  border-radius: 0 0 160px 160px;
}

.l-topTitleArea__body.l-container {
  padding: 0;
}

.l-topTitleArea__body .c-pageTitle {
  width: 50%;
  font-size: 2.4rem;
  padding-left: 8%;
  padding-right: 1em;
  text-align: left;
  color: #4a7e81;
  position: relative;
}

.l-topTitleArea__body .c-pageTitle::before {
  content: "";
  display: inline-block;
  position: absolute;
  top: 0;
  left: 0;
  width: 100px;
  height: 100px;
  transform: translateY(-150%) rotate(-20deg);
  background: url("./img/item07.png") no-repeat center / contain;
}

.l-topTitleArea__body .c-pageTitle::after {
  content: "";
  display: inline-block;
  position: absolute;
  bottom: 0;
  right: 10%;
  width: 120px;
  height: 120px;
  transform: translateY(120%);
  visibility: visible;
  background: url("./img/item06.png") no-repeat center / contain;
}

#top_title_area .u-obf-cover {
  width: 50% !important;
  top: 0;
  bottom: 0;
  right: 0 !important;
  left: auto;
  right: 2.5%;
}

@media screen and (max-width: 768px) {
  .l-topTitleArea {
    flex-direction: column !important;
    height: 40vh;
    min-height: 380px;
    border-radius: 0 0 100px 100px;
  }

  .l-topTitleArea__body {
    height: 50%;
    display: flex;
    align-items: center;
  }

  #top_title_area .u-obf-cover {
    width: 100% !important;
    top: auto !important;
    height: 50% !important;
  }

  .l-topTitleArea__body .c-pageTitle {
    width: 100%;
    font-size: 2rem;
  }

  .l-topTitleArea__body .c-pageTitle::before {
    left: 3%;
    transform: translateY(-110%) rotate(-50deg);
  }

  .l-topTitleArea__body .c-pageTitle::after {
    width: 100px;
    height: 100px;
    right: 3%;
  }
}

/* post list */
.post_content h3 {
  padding-bottom: 0.8em;
}

.-type-card .p-postList__title {
  font-size: 18px !important;
  line-height: 1.2;
}

@media screen and (max-width: 768px) {
  .-type-card .p-postList__title {
    font-size: 16px !important;
  }
}

/* image */
.wp-block-image {
  border-radius: 6px;
  overflow: hidden;
}

/* table */
.wp-block-table.is-style-stripes tbody tr:nth-child(odd) {
  background-color: #fdfdfd;
}

.wp-block-table.is-style-stripes tbody tr:nth-child(even) {
  background-color: #ebf1eb;
}

.wp-block-table td,
.wp-block-table th {
  padding: 0.8em !important;
}

/* faq */
.wp-block-group.is-style-big_icon_hatena {
  border-radius: 16px;
}

/* ご仏縁 */
.yorokobi-box .wp-block-group {
  padding: 20px;
  border-radius: 16px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

@media not all and (min-width: 600px) {
  iframe.custom-map {
    aspect-ratio: 4/3 !important;
  }
}

@media (min-width: 600px) {

  /* content */
  .page .l-content {
    padding-top: 0;
  }
}

.p-mainVisual__scroll.c-plainBtn {
  bottom: 7%;
}

/* 令和の大改修 */
.page-id-2250::before,
.page-id-2300::before,
.page-id-101::before {
  content: "";
  display: block;
  height: 100%;
  position: fixed;
  inset: 0;
  z-index: -1;
  background: url("./img/bg-green.jpg") no-repeat center / cover;
  opacity: .4;
}

/* ご法要 */
.wp-block-table {
  border-radius: 16px;
  overflow: hidden;
}

@media (min-width: 600px) {

  .wp-block-table {
    font-size: 18px !important;
  }
}